package com.taauav.front.controller;


import com.taauav.common.bean.Response;
import com.taauav.front.query.UserWaterDataQuery;
import com.taauav.front.service.IUserWaterDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import com.taauav.front.controller.FrontBaseController;

/**
 * <p>
 * 水质数据表 前端控制器
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
@RestController
@RequestMapping("/front/waterdata")
public class UserWaterDataController extends FrontBaseController {

    @Autowired
    private IUserWaterDataService userWaterDataService;

    /**
     * 获取水质数据列表
     *
     * @param query 查询条件
     * @return
     */
    @PostMapping("/index")
    public Response index(@RequestBody UserWaterDataQuery query) {
        return userWaterDataService.getList(query);
    }

}
