package com.taauav.front.mapper;

import com.taauav.front.entity.UserAuthGroup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 外部用户角色表 Mapper 接口
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
public interface UserAuthGroupMapper extends BaseMapper<UserAuthGroup> {

    /**
     * 根据用户编号获取权限
     * @param adminId
     * @return
     */
    List<UserAuthGroup> getAuthGroups(Integer adminId);

}
