package com.taauav.front.query;

import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;

import java.math.BigInteger;

/**
 * 水质数据查询条件
 */
@Data
public class UserWaterDataQuery extends BaseQuery {

    /**
     * 任务单号
     */
    private String inspectNo;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 巡检时间
     */
    private String inspectTime;

    /**
     * 巡检开始时间
     */
    private String inspectStartTime;

    /**
     * 巡检结束时间
     */
    private String inspectEndTime;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 区划ID集合
     */
    private BigInteger[] driverAreaList;

    /**
     * 状态
     */
    private Integer status;
}
