package com.taauav.front.service;

import com.taauav.admin.entity.TauvWaterAlarmInfo;
import com.taauav.common.service.IBaseService;
import com.taauav.front.vo.wateralarm.UserWaterAlarmInfoListVo;

import java.util.List;

/**
 * <p>
 * 水质报警附表 服务类
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
public interface IUserWaterAlarmInfoService extends IBaseService<TauvWaterAlarmInfo> {

    /**
     * 根据水质报警ID获取报警信息列表
     *
     * @param waterAlarmId 水质报警ID
     * @return
     */
    List<UserWaterAlarmInfoListVo> getWaterAlarmInfoList(Integer waterAlarmId);

}
