package com.taauav.front.service;

import com.taauav.admin.entity.TauvWaterData;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import com.taauav.front.query.UserWaterDataQuery;

/**
 * <p>
 * 水质数据表 服务类
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
public interface IUserWaterDataService extends IBaseService<TauvWaterData> {

    /**
     * 获取水质数据列表
     *
     * @param query 查询条件
     * @return
     */
    Response getList(UserWaterDataQuery query);

}
