package com.taauav.front.service;

import com.taauav.admin.entity.TauvWaterWarn;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import com.taauav.front.query.UserWaterWarnQuery;

/**
 * <p>
 * 水质预警 服务类
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
public interface IUserWaterWarnService extends IBaseService<TauvWaterWarn> {

    /**
     * 获取水质预警列表
     *
     * @param query 查询条件
     * @return
     */
    Response getList(UserWaterWarnQuery query);

    /**
     * 取消预警
     *
     * @param ids 记录ID
     * @return
     */
    Response cancel(String ids);

}
