package com.taauav.front.vo.wateralarm;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 水质报警列表Vo
 */
@Data
public class UserWaterAlarmInfoListVo {

    /**
     * 水质报警ID
     */
    private Integer id;

    /**
     * 参数名
     */
    private String name;

    /**
     * 标准值
     */
    private BigDecimal standardValue;

    /**
     * 实测值
     */
    private BigDecimal measuredValue;

    /**
     * 实测标准
     */
    private String measuredStandard;

    /**
     * 超标情况
     */
    private String exceedStandard;

}
