package com.taauav.front.vo.waterdata;

import java.math.BigInteger;
import java.time.LocalDateTime;

import lombok.Data;

/**
 * <p>
 * 水质数据表列表Vo
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
@Data
public class UserWaterDataListVo {

    /**
     * 水质数据ID
     */
    private Integer id;

    /**
     * 任务单号
     */
    private String inspectNo;

    /**
     * 任务单号行号
     */
    private String num;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 区划名称
     */
    private String driverAreaName;

    /**
     * 河湖ID
     */
    private String driverId;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 巡检时间
     */
    private String inspectTime;

    /**
     * 化学需氧量
     */
    private String waterCod;

    /**
     * 氨氮
     */
    private String waterNh3n;

    /**
     * 总磷
     */
    private String waterTp;

    /**
     * 总氮
     */
    private String waterTn;

    /**
     * 溶解氧
     */
    private String waterDo;

    /**
     * 浊度
     */
    private String waterTub;

    /**
     * 状态：1有效 2无效
     */
    private Integer status;

}
