package com.taauav.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.taauav.admin.entity.TauvWaterData;
import com.taauav.admin.query.TauvWaterDataQuery;
import com.taauav.admin.vo.TauvWaterDataVo;
import org.apache.ibatis.annotations.Param;

/**
 * 水质数据
 * @author daixiantong
 * @date 2020-05-13
 */
public interface TauvWaterDataMapper extends BaseMapper<TauvWaterData> {

    /**
     * 自定义分页数据
     * @param page
     * @param waterDataQuery
     * @return
     */
    IPage<TauvWaterDataVo> selectPageList(IPage page, @Param("param") TauvWaterDataQuery waterDataQuery);
}
