package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.SysDict;
import com.taauav.common.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 系统字典表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
public interface ISysDictService extends IBaseService<SysDict> {
    /**
     * 获取列表分页数据
     *
     * @param map
     * @return
     */
    Response getPageList(Map<String, String> map);

    /**
     * 根据id获取配置数据
     *
     * @param id
     * @return
     */
    SysDict getDictById(Integer id);

    /**
     * 添加、编辑配置数据
     *
     * @param map
     * @return
     */
    Response editData(SysDict map);

    /**
     * 根据类型编号获取数据
     *
     * @param typeId
     * @return
     */
    List<SysDict> getListByTypeId(Integer typeId);
}
