package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.TauvReportEvaluation;
import com.taauav.common.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 报告描述(评价)内容管理表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
public interface ITauvReportEvaluationService extends IBaseService<TauvReportEvaluation> {

    Response getPageList(Map<String, String> map);

    Response add(TauvReportEvaluation reportEvaluation);

    Response edit(TauvReportEvaluation reportEvaluation);

    Response setStatus(Map<String, String> map);

    TauvReportEvaluation getInfoById(Integer id);

    /**
     * 根据状态获取数据列表
     *
     * @param status
     * @return
     */
    List<Map<String, Object>> getDataByStatus(Integer status);
}
