package com.taauav.admin.service;

import com.taauav.admin.entity.TauvReportRemark;
import com.taauav.common.service.IBaseService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-29
 */
public interface ITauvReportRemarkService extends IBaseService<TauvReportRemark> {
    /**
     * 根据报告编号和问题编号获取数据
     *
     * @param reportId
     * @param questionId
     * @return
     */
    TauvReportRemark getInfoByReportIdAndQuestionId(Integer reportId, Integer questionId);

    /**
     * 根据项目编号删除数据
     *
     * @param reportId
     */
    void deleteByReportId(Integer reportId);

    /**
     * 添加数据
     *
     * @param reportRemark
     */
    void addData(TauvReportRemark reportRemark);
}
