package com.taauav.admin.service;

import com.taauav.admin.entity.TauvWaterTrend;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import org.springframework.web.multipart.MultipartFile;

/**
 * 水环境趋势模拟Service接口
 *
 * @author daixiantong
 * @date 20200515
 */
public interface ITauvWaterTrendService extends IBaseService<TauvWaterTrend>
{
    /**
     * 导入Excel数据
     * @param file
     * @return
     */
    Response importTrend(MultipartFile file);

    /**
     * 获取趋势图数据
     * @param id
     * @return
     */
    Response getTrendList(Integer id);

    /**
     * 获取导入数据模板
     * @return
     */
    Response getTemplate();
}
