package com.taauav.admin.service.impl;


import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.taauav.common.bean.Response;
import com.taauav.common.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.taauav.admin.mapper.TauvWaterWarnMapper;
import com.taauav.admin.entity.TauvWaterWarn;
import com.taauav.admin.service.ITauvWaterWarnService;

import javax.annotation.Resource;

/**
 * 水质预警Service业务层处理
 *
 * @author daixiantong
 * @date 20200514
 */
@Service
public class TauvWaterWarnServiceImpl extends BaseServiceImpl<TauvWaterWarnMapper, TauvWaterWarn> implements ITauvWaterWarnService
{
    @Resource
    private Response response;

    /**
     * 添加编辑预警数据
     * @param waterWarn
     * @return
     */
    @Override
    public Response editWarn(TauvWaterWarn waterWarn) {
        return null;
    }

    @Override
    public Response cancelWarn(Integer[] ids) {
        UpdateWrapper updateWrapper = new UpdateWrapper();
        updateWrapper.in("id", ids);
        updateWrapper.set("status", 3);
        Boolean res = update(updateWrapper);
        if (!res) {
            return response.failure("操作失败");
        }
        return response.success("操作成功");
    }
}
