package com.taauav.front.constant;

import com.sun.org.apache.bcel.internal.generic.PUTFIELD;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 水质报警 模块常量
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
public class UserWaterWarnConstant {

    /**
     * 状态：1待预警 2已预警 3已取消
     */
    public static Map<Integer, String> USER_WATER_WARN_STATUS_LIST = new HashMap<Integer, String>() {
        {
            put(1, "待预警");
            put(2, "已预警");
            put(3, "已取消");
        }
    };

    /**
     * 预警类型：1水质富营养化 2水生藻类植物
     */
    public static Map<Integer, String> USER_WATER_WARN_TYPE_LIST = new HashMap<Integer, String>() {
        {
            put(1, "水质富营养化");
            put(2, "水生藻类植物");
        }
    };

    /**
     * 预警级别：1一级 2二级 3三级 4四级 5五级
     */
    public static Map<Integer, String> USER_WATER_WARN_LEVEL_LIST = new HashMap<Integer, String>() {
        {
            put(1, "一级");
            put(2, "二级");
            put(3, "三级");
            put(4, "四级");
            put(5, "五级");
        }
    };

}
