package com.taauav.front.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.taauav.front.entity.UserAdmin;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.taauav.front.query.UserAdminQuery;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 外包人员表 Mapper 接口
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-14
 */
public interface UserAdminMapper extends BaseMapper<UserAdmin> {

    /**
     * 获取外部人员列表
     *
     * @param page  分页信息
     * @param query 查询条件
     * @return
     */
    IPage<UserAdmin> getAdminList(IPage page, @Param("param") UserAdminQuery query);

}
