package com.taauav.front.query;

import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;

import java.math.BigInteger;

/**
 * 人员管理查询条件
 */
@Data
public class UserAdminQuery extends BaseQuery {

    /**
     * 姓名
     */
    private String realname;

    /**
     * 角色ID
     */
    private String authGroup;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

}
