package com.taauav.front.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;

/**
 * 巡检任务查询条件
 */
@Data
public class UserInspectDriverQuery extends BaseQuery {

    /**
     * 巡检任务
     */
    private Integer type;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 执行日期
     */
    private String executionTime;

}
