package com.taauav.front.query;

import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;

import java.math.BigInteger;
import java.util.List;

/**
 * 巡检问题查询
 */
@Data
public class UserInspectQuestionQuery extends BaseQuery {

    /**
     * 问题编号
     */
    private String questionNo;

    /**
     * 区划ID
     */
    private BigInteger driverAreaId;

    /**
     * 区划ID集合
     */
    private BigInteger[] driverArea;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 状态
     */
    private String status;

    /**
     * 巡检时间
     */
    private String inspectTime;

    /**
     * 巡检开始时间
     */
    private String inspectStartTime;

    /**
     * 巡检结束时间
     */
    private String inspectEndTime;
}
