package com.taauav.front.service;

import com.taauav.admin.entity.TauvWaterSpectrum;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import com.taauav.front.query.UserWaterSpectrumQuery;

/**
 * <p>
 * 多光谱图表 服务类
 * </p>
 *
 * @author 鲲鹏
 * @since 2020-05-15
 */
public interface IUserWaterSpectrumService extends IBaseService<TauvWaterSpectrum> {

    /**
     * 获取多光谱数据列表
     *
     * @param query 查询条件
     * @return
     */
    Response getList(UserWaterSpectrumQuery query);

}
