package com.taauav.front.vo;

import lombok.Data;

/**
 * 角色列表Vo
 */
@Data
public class UserAuthGroupListVo {

    /**
     * 角色ID
     */
    private Integer id;

    /**
     * 用户组中文名称
     */
    private String name;

    /**
     * 数据权限：1查看自己区划数据 2查看所有区划数据 3查看指定区划数据
     */
    private Integer authData;

    /**
     * auth_data=3时的个性化区划
     */
    private String driverArea;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 状态描述
     */
    private String statusName;

}
