package com.taauav.tool.controller;

import com.taauav.admin.controller.BaseController;
import com.taauav.common.bean.Response;
import com.taauav.tool.service.IGenTableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("gen")
public class GenController extends BaseController {

    @Autowired
    private IGenTableService genTableService;
    @Autowired
    private Response response;
    /**
     * 导入表结构（保存）
     */
    @GetMapping("/importTable")
    public Response importTableSave(@RequestParam("tableName") String tableName)
    {
        genTableService.importGenTable(tableName);
        return response.success("操作成功");
    }
    @GetMapping("genCode")
    public Response genCode(@RequestParam("tableName") String tableName)
    {
         genTableService.generatorCode(tableName);
         return response.success("操作成功");
    }
}
